package cn.superdesk.uniorder.dao.mapper.thirdpart.qchjc.accounting;

import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting.QchjcCustomerBackAccountEntity;
import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting.QchjcCustomerBackAccountEntityExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QchjcCustomerBackAccountEntityMapper {
    long countByExample(QchjcCustomerBackAccountEntityExample example);

    int deleteByExample(QchjcCustomerBackAccountEntityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(QchjcCustomerBackAccountEntity record);

    int insertSelective(QchjcCustomerBackAccountEntity record);

    List<QchjcCustomerBackAccountEntity> selectByExample(QchjcCustomerBackAccountEntityExample example);

    QchjcCustomerBackAccountEntity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") QchjcCustomerBackAccountEntity record, @Param("example") QchjcCustomerBackAccountEntityExample example);

    int updateByExample(@Param("record") QchjcCustomerBackAccountEntity record, @Param("example") QchjcCustomerBackAccountEntityExample example);

    int updateByPrimaryKeySelective(QchjcCustomerBackAccountEntity record);

    int updateByPrimaryKey(QchjcCustomerBackAccountEntity record);
}